## Icon Utilities (Legacy)

Icon Utilities (Legacy)

## Functions

gchar * | e_icon_factory_get_icon_filename ()
GdkPixbuf * | e_icon_factory_get_icon ()
GdkPixbuf * | e_icon_factory_pixbuf_scale ()
gchar * | e_icon_factory_create_thumbnail ()

## Description

## Functions

### e_icon_factory_get_icon_filename ()

    gchar *
    e_icon_factory_get_icon_filename (const gchar *icon_name,
                                      GtkIconSize icon_size);

Returns the filename of the requested icon in the default icon theme.

#### Parameters

icon_name | name of the icon |
icon_size | size of the icon |

#### Returns

the filename of the requested icon

### e_icon_factory_get_icon ()

    GdkPixbuf *
    e_icon_factory_get_icon (const gchar *icon_name,
                             GtkIconSize icon_size);

Loads the requested icon from the default icon theme and renders it to a pixbuf.

#### Parameters

icon_name | name of the icon |
icon_size | size of the icon |

#### Returns

the rendered icon

### e_icon_factory_pixbuf_scale ()

    GdkPixbuf *
    e_icon_factory_pixbuf_scale (GdkPixbuf *pixbuf,
                                 gint width,
                                 gint height);

Scales `pixbuf` to desired size.

#### Parameters

pixbuf | a GdkPixbuf |
width | desired width, if less or equal to 0, then changed to 1 |
height | desired height, if less or equal to 0, then changed to 1 |

#### Returns

a scaled GdkPixbuf

### e_icon_factory_create_thumbnail ()

    gchar *
    e_icon_factory_create_thumbnail (const gchar *filename);

Creates system thumbnail for `filename` .

#### Parameters

filename | the file name to create the thumbnail for |

#### Returns

Path to system thumbnail of the file; `NULL` if couldn't create it. Free it with `g_free()`.

## Types and Values